# DOMNodeIterator.hpp File Reference

`#include <xercesc/dom/DOMNodeFilter.hpp>`
`#include <xercesc/dom/DOMNode.hpp>`

Include dependency graph for DOMNodeIterator.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | xercesc::DOMNodeIterator
| `DOMNodeIterators` are used to step through a set of nodes, e.g. More...

## Defines

#define | GetDOMNodeIteratorMemoryManager GET_DIRECT_MM(fDocument)

## Define Documentation

#define GetDOMNodeIteratorMemoryManager GET_DIRECT_MM(fDocument)